> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ck-itsolutions.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# Add IPs

> Adds allowed IPs to selected user.



## OpenAPI

````yaml POST /user/add-ips
openapi: 3.0.1
info:
  title: Ck IT Solutions API
  description: An API that can be used to mange Ck IT Solutions products and services.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.ck-itsolutions.nl/v1
security:
  - ApiKeyAuth: []
paths:
  /user/add-ips:
    post:
      description: Adds allowed IPs to selected user.
      requestBody:
        description: Plant to add to the store
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/add_ips'
        required: true
      responses:
        '200':
          description: Returns newly created filters with uuid as json.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/list_rules'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    add_ips:
      allOf:
        - $ref: '#/components/schemas/list_rules'
        - required:
            - user_uuid
            - ips
          type: object
          properties:
            user_uuid:
              description: User UUID of selected user
              type: string
            ips:
              description: IP subnet(s) that have to be added to access list
              type: array
    list_rules:
      required:
        - name
      type: object
    Error:
      required:
        - error
        - message
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````